package com.zd.laboratory.mapper;

import java.util.List;
import com.zd.laboratory.domain.SensorConfig;

/**
 * 传感器解析配置Mapper接口
 * 
 * @author zd
 * @date 2021-10-27
 */
public interface SensorConfigMapper 
{
    /**
     * 查询传感器解析配置
     * 
     * @param id 传感器解析配置主键
     * @return 传感器解析配置
     */
    public SensorConfig selectSensorConfigById(Long id);

    /**
     * 查询传感器解析配置列表
     * 
     * @param sensorConfig 传感器解析配置
     * @return 传感器解析配置集合
     */
    public List<SensorConfig> selectSensorConfigList(SensorConfig sensorConfig);

    /**
     * 新增传感器解析配置
     * 
     * @param sensorConfig 传感器解析配置
     * @return 结果
     */
    public int insertSensorConfig(SensorConfig sensorConfig);

    /**
     * 修改传感器解析配置
     * 
     * @param sensorConfig 传感器解析配置
     * @return 结果
     */
    public int updateSensorConfig(SensorConfig sensorConfig);

    /**
     * 删除传感器解析配置
     * 
     * @param id 传感器解析配置主键
     * @return 结果
     */
    public int deleteSensorConfigById(Long id);

    /**
     * 批量删除传感器解析配置
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteSensorConfigByIds(Long[] ids);
}
